/* The demo application for the late join service, Version 0.1 alpha.
 *  
 * Copyright (C) 2000 Juergen Vogel, Martin Mauve
 * University of Mannheim / Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Juergen Vogel
 * Martin Mauve
 *
 * e-mail:
 * {vogel,mauve}@informatik.uni-mannheim.de
 * 
 * paper mail:
 *
 * Juergen Vogel
 * Martin Mauve
 * University of Mannheim
 * Lehrstuhl Praktische Informatik IV
 * L15, 16
 * 68131 Mannheim
 * Germany
 */

package rtpi.demoLatejoin;

class ApplicationMessage {

    static final int RECEIVE_EVENT                         =  0;
    static final int RECEIVE_STATE                         =  1;
    static final int RECEIVE_DELTA_STATE                   =  2;
    static final int RECEIVE_STATE_QUERY                   =  3;
    static final int LJ_ASK_FOR_POLICY                     =  4;
    static final int LJ_FAILED                             =  5;
    static final int LJ_GET_STATE                          =  6;
    static final int LJ_RECEIVE_STATE                      =  7;

    int opCode;
    Object args;

    ApplicationMessage(int opCode, Object args) {
	this.opCode = opCode;
	this.args   = args;
    }
}
